dpkg-trigger(1)

BEZEICHNUNG
dpkg-trigger - ein Paket-Trigger-Hilfswerkzeug

ÜBERSICHT
dpkg-trigger [Option...] Trigger-Name

dpkg-trigger [Option …] Befehl

BESCHREIBUNG
dpkg-trigger ist ein Werkzeug, um Trigger (deutsch: Auslöser) explizit zu aktivieren und das laufenden dpkg auf deren Unterstützung hin zu überprüfen.

Dies kann von Betreuerskripten in komplexen und durch Bedingungen beeinflusste Situationen verwandt werden, wo die Datei-Trigger oder die Steuerung von Dateidirektiven durch explizite activate-Trigger nicht ausreichen. Es kann auch zum Testen und von Systemadministratoren verwandt werden (beachten Sie aber, dass Trigger nicht tatsächlich durch dpkg-trigger ausgeführt werden).

Nicht erkannte Triggernamen-Syntaxen sind für dpkg-trigger ein Fehler.

Dieses Programm wurde in Dpkg 1.14.17 hinzugefügt.

BEFEHLE

--check-supported
    Überprüft, ob das laufende dpkg Trigger unterstützt (normalerweise vom Postinst aufgerufen). Endet mit 0, falls ein Trigger-fähiger dpkg ausgeführt wurde, oder mit 1 und einer Fehlermeldung nach Stderr, falls nicht. Normalerweise ist es allerdings besser, einfach den gewünschten Trigger mit dpkg-trigger zu aktivieren.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

OPTIONEN

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Standardmäßig /var/lib/dpkg, falls DPKG_ADMINDIR nicht gesetzt wurde.

--root=Verzeichnis
    Setzt das Wurzelverzeichnis auf Verzeichnis, wodurch das Administrationsverzeichnis auf „Verzeichnis/var/lib/dpkg“ gesetzt wird (seit Dpkg 1.21.0).

--by-package=Paket
    Setzt den Trigger-Erwartenden außer Kraft (normalerweise wird dies von dpkg durch die Umgebungsvariable DPKG_MAINTSCRIPT_PACKAGE der Betreuerskripte gesetzt, wobei das Paket benannt wird, zu dem das Skript gehört und dies wird standardmäßig verwandt).

--no-await
    Diese Option arrangiert, dass das aufrufende Paket T (falls zutreffend) nicht auf die Abarbeitung des Triggers warten muss, das bzw. die interessierte(n) Paket(e) I werden nicht zu der Liste der auf Bearbeitung wartenden Trigger von T hinzugefügt und der Status von T bleibt unverändert. T kann als installiert betrachtet werden, obwohl I den Trigger noch nicht verarbeitet haben könnte.

--await
    Diese Option führt das Inverse von --no-await aus (seit Dpkg 1.17.21). Falls das interessierte Paket eine Direktive „noawait“ angegeben hat, dann wird diese Option nicht wirksam sein. Derzeit ist sie die Voreinstellung.

--no-act
    Testet nur, ändert nichts tatsächlich.

RÜCKGABEWERT

0   Die angeforderte Aktion wurde erfolgreich ausgeführt. Oder ein Prüfausdruck oder eine Zusicherung (Assertion) lieferte Wahr zurück.

1   Ein Prüfausdruck oder eine Zusicherung lieferte Falsch zurück.

2   Fataler oder nicht behebbarer Fehler aufgrund eines ungültigen Befehlszeilenaufrufs oder Interaktionen mit dem System, wie Zugriffe auf die Datenbank, Speicherzuweisungen usw.

UMGEBUNG

DPKG_ROOT
    Falls gesetzt und die Option --root nicht angegeben wurde, wird dies als Dateisystemwurzelverzeichnis verwandt (seit Dpkg 1.21.0).

DPKG_ADMINDIR
    Falls gesetzt und die Option --admindir nicht verwandt wurde, wird dies als Datenverzeichnis von dpkg verwandt.

DPKG_DEBUG
    Setzt die Fehlersuchmaske (seit Dpkg 1.21.10) aus einem oktalen Wert. Die derzeit akzeptierten Schalter werden in der Option dpkg --debug beschrieben, aber nicht alle dieser Schalter könnten Auswirkungen auf dieses Programm haben.

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

SIEHE AUCH
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg/spec/triggers.txt.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.